Debian Bug report logs - #213361
ITP: kbtin -- A text-based MUD client

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Adam Borowski <kilobyte@angband.pl>

Date: Tue, 30 Sep 2003 02:18:31 UTC

Owned by: Adam Borowski <kilobyte@angband.pl>

Severity: wishlist

Tags: patch

Fixed in version kbtin/1.0.14-1

Done: Adam Borowski <kilobyte@angband.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kilobyte@mimuw.edu.pl, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#213361; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@mimuw.edu.pl>:
New Bug report received and forwarded. Copy sent to kilobyte@mimuw.edu.pl, debian-devel@lists.debian.org, wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@mimuw.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: kbtin -- A text-based MUD client
Date: Mon, 29 Sep 2003 05:57:51 -0400
Package: wnpp
Severity: wishlist

* Package name    : kbtin
  Version         : 1.0.5
  Upstream Author : Adam Borowski <kilobyte@mimuw.edu.pl>
* URL             : http://kbtin.sourceforge.net
* License         : GPL
  Sponsor         : Wanted
  Package         : http://kbtin.sf.net/debian/
  Description     : A text-based MUD client

KBtin is a fullscreen console MUD client based on the once-popular tintin++.
It is not limited for mudding, and can be used for running line-based local
programs like adventure, wumpus or mysqlclient.




Information stored:
Bug#213361; Package wnpp. Full text and rfc822 format available.

Message #8 received at 213361-quiet@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: "Adam Borowski" <kilobyte@mimuw.edu.pl>, <213361-quiet@bugs.debian.org>
Subject: Outstanding ITP - kbtin
Date: Tue, 04 Jan 2005 12:21:46 -0500
This is a batch mailing regarding your stated ITP (Intent To Package)
of the following Debian package; I apologize in advance if it is sent
in error.

	kbtin -- A text-based MUD client

Do you still intend to create this package?  If so, please keep the
bugtracking system informed of progress and delays.  ITPs which are
just waiting for a sponsor should be tagged 'patch'; I recommend the
bts script from the devscripts package.

If not, please retitle to RFP (Request For Package), or close the bug,
as is appropriate.

Note that I'm not personally interested in this package; I just want
to keep the WNPP area well-pruned.  Feel free to respond to me
directly, though (but also Cc: the bug if appropriate).

Thanks, and Happy Y2K5,
Justin

References
[0] http://bugs.debian.org/213361



Changed Bug title. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#213361; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@mimuw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 213361@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@mimuw.edu.pl>
To: 213361@bugs.debian.org
Subject: Upgrading ITP
Date: Wed, 14 Sep 2005 22:09:14 +0200 (CEST)
retitle 213361 ITP: kbtin -- A text-based MUD client
tags 213361 patch
thanks

Upgrading the old ITP to the last public release.

Packages uploaded to:
deb-src http://mentors.debian.net/debian unstable main
http://mentors.debian.net/debian/pool/main/k/kbtin/
(and SourceForge, sans the Closes:# tag)

-- 
/-----------------------\ Shh, be vewy, vewy quiet,
| kilobyte@mimuw.edu.pl | I'm hunting wuntime ewwows!
\-----------------------/
Segmentation fault (core dumped)



Changed Bug title. Request was from Adam Borowski <kilobyte@mimuw.edu.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Adam Borowski <kilobyte@mimuw.edu.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#213361; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bart.martens@advalvas.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 213361@bugs.debian.org (full text, mbox):

From: Bart Martens <bart.martens@advalvas.be>
To: 213361@bugs.debian.org, Adam Borowski <kilobyte@mimuw.edu.pl>
Subject: ITP: kbtin -- A text-based MUD client
Date: Sun, 2 Apr 2006 13:09:13 +0200
Hello Adam,

I see that linda complains about this:

W: kbtin; The file config.guess contains a timestamp line that is less than 2002.
W: kbtin; The file config.sub contains a timestamp line that is less than 2002.

The debian/changelog contains multiple entries.  I'm not sure whether
that's OK for an initial release.

I would add this line to the description in debian/control, as described
in the developers reference (note that extra space):

  Homepage: http://kbtin.sourceforge.net/

I think that debian/copyright is incomplete.  I should contain lines
like this:

Copyright <years> <name author>

Hope this helps,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#213361; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@mimuw.edu.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #29 received at 213361@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@mimuw.edu.pl>
To: Bart Martens <bart.martens@advalvas.be>
Cc: 213361@bugs.debian.org
Subject: Re: ITP: kbtin -- A text-based MUD client
Date: Sun, 9 Apr 2006 01:43:53 +0200 (CEST)
On Sun, 2 Apr 2006, Bart Martens wrote:
> Hello Adam,
Hello.

Instead of fixing just the problems you pointed out (thanks!), I've taken 
the time to prepare a new release, with long overdue stuff like UTF-8 
support or IPv6.

> I see that linda complains about this:
> W: kbtin; The file config.guess contains a timestamp line that is less than 2002.
> W: kbtin; The file config.sub contains a timestamp line that is less than 2002.

She's wrong:
-rw-r--r-- 1 kilobyte kilobyte     0 2004-01-19 01:16 config.guess
-rw-r--r-- 1 kilobyte kilobyte     0 2004-01-19 01:16 config.sub

If I recall correctly, some old versions of automake insisted on having 
these files, even if they weren't actually used.  Having them empty shaves 
around 80KB of cruft; recent automake has this bug fixed.

Linda can't cope with 0-length files.


> The debian/changelog contains multiple entries.  I'm not sure whether
> that's OK for an initial release.
Doh.  It contained the changelog of debs from SourceForge and my own 
repository; as they are irrelevant to Debian, I've put different sources 
to mentors.debian.net (with nothing but "Initial release") and to the 
unofficial places (with a full changelog).

> I would add this line to the description in debian/control, as described
> in the developers reference (note that extra space):
>  Homepage: http://kbtin.sourceforge.net/
Right.

> I think that debian/copyright is incomplete.  I should contain lines
> like this:
>
> Copyright <years> <name author>
Fixed.

> Hope this helps,
Thanks!

-- 
/-----------------------\ Shh, be vewy, vewy quiet,
| kilobyte@mimuw.edu.pl | I'm hunting wuntime ewwows!
\-----------------------/
Segmentation fault (core dumped)



Owner recorded as Adam Borowski <kilobyte@mimuw.edu.pl>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Adam Borowski <kilobyte@mimuw.edu.pl> to Adam Borowski <kilobyte@angband.pl>. Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from Adam Borowski <kilobyte@mimuw.edu.pl> to Adam Borowski <kilobyte@angband.pl>. Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Borowski <kilobyte@angband.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 213361-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 213361-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 24 Jun 2007 11:59:31 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 213361
 stop

Further comments on the work done in the bug sent to
213361@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Adam Borowski <kilobyte@umbar.angband.pl> to control@bugs.debian.org. (Tue, 10 Jul 2007 23:15:01 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Borowski <kilobyte@angband.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 213361-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 213361-done@bugs.debian.org
Subject: WNPP bug closing
Date: Wed, 16 Jul 2008 11:59:37 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 213361
 stop

Further comments on the work done in the bug sent to
213361@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. (Fri, 25 Jul 2008 08:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#213361; Package wnpp. (Sat, 25 Jul 2009 16:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 25 Jul 2009 16:42:05 GMT) Full text and rfc822 format available.

Message #54 received at 213361@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: debian-mentors@lists.debian.org
Cc: 213361@bugs.debian.org
Subject: RFS: kbtin (new)
Date: Sat, 25 Jul 2009 18:34:12 +0200
Meow?

I'd like to ask for a sponsor for new package "kbtin".  It's a MUD client,
something that once was deemed dead, but judging by a recent influx of
support requests, it is certainly not dead yet.  Apparently, some people
still prefer books (text games) to TV (mmorpgs).

The package is lintian clean, ITP is #213361.

It can be grabbed from:
URL: http://mentors.debian.net/debian/pool/main/k/kbtin
deb-src http://mentors.debian.net/debian unstable main
dget http://mentors.debian.net/debian/pool/main/k/kbtin/kbtin_1.0.13.1-1.dsc

It's a fork of existing package tintin++, however, these two have forked
over 13 years ago so the codebase has little in common.  Compared to
tintin++, KBtin has:
* no known buffer overflows (tintin++ has one for almost every command!)
* SSL support
* better Unicode support, also support for server charset different from
  client
* handling of half-messages (split on network packet boundary)
* running local commands (#run a debuild)
and so on.


Uploading this can increase your coolness score!

Mrraow.
-- 
1KB		// Microsoft corollary to Hanlon's razor:
		//	Never attribute to stupidity what can be
		//	adequately explained by malice.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>:
Bug#213361; Package wnpp. (Sun, 25 Jul 2010 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jasiexski <jasiexski@notowany.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>. (Sun, 25 Jul 2010 21:09:04 GMT) Full text and rfc822 format available.

Message #59 received at 213361@bugs.debian.org (full text, mbox):

From: jasiexski <jasiexski@notowany.pl>
To: 213361@bugs.debian.org
Subject: kiedy będzie można Tina zainstalować
Date: Sun, 25 Jul 2010 23:08:10 +0200
Kiedy będzie można Tina instalować?
Na Windzie mi nie działa, a inne klienty ssą.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#213361; Package wnpp. (Sun, 25 Jul 2010 21:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 25 Jul 2010 21:21:07 GMT) Full text and rfc822 format available.

Message #64 received at 213361@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: jasiexski <jasiexski@notowany.pl>, 213361@bugs.debian.org
Subject: Re: Bug#213361: kiedy będzie można Tina zainstalować
Date: Sun, 25 Jul 2010 23:17:02 +0200
On Sun, Jul 25, 2010 at 11:08:10PM +0200, jasiexski wrote:
> Kiedy będzie można Tina instalować?
> Na Windzie mi nie działa, a inne klienty ssą.

Uhm, the Debian BTS uses English as its only language.

Just because you can see from my address that I probably speak Polish (and
yes, I do), it doesn't mean there are other folks reading this WNPP entry.


If you want to use kbtin, you can add the following line to
/etc/apt/sources.list:

deb	http://angband.pl/debian sid main

I'll scoop up a few minor changes, do an update and ask once more for a
sponsored upload to Debian proper, but you don't need to wait, just install
it from the repository above for now.

-- 
1KB		// Microsoft corollary to Hanlon's razor:
		//	Never attribute to stupidity what can be
		//	adequately explained by malice.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>:
Bug#213361; Package wnpp. (Sat, 19 Feb 2011 17:57:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>. (Sat, 19 Feb 2011 17:57:45 GMT) Full text and rfc822 format available.

Message #69 received at 213361@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 213361@bugs.debian.org
Cc: control@bugs.debian.org
Subject: kbtin: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 16:59:12 +0000
retitle 213361 RFP: kbtin -- A text-based MUD client
noowner 213361
thanks

Hi,

This is an automatic email to change the status of kbtin back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting kbtin, please send a mail to
<control@bugs.debian.org> with:

 retitle 213361 ITP: kbtin -- A text-based MUD client
 owner 213361 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <213361@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: kbtin -- A text-based MUD client' from 'ITP: kbtin -- A text-based MUD client' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:19 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Adam Borowski <kilobyte@angband.pl>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: kbtin -- A text-based MUD client' from 'RFP: kbtin -- A text-based MUD client' Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. (Sun, 23 Dec 2012 19:15:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. (Sun, 23 Dec 2012 19:15:03 GMT) Full text and rfc822 format available.

Owner recorded as Adam Borowski <kilobyte@angband.pl>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 24 Dec 2012 14:57:05 GMT) Full text and rfc822 format available.

Reply sent to Adam Borowski <kilobyte@angband.pl>:
You have taken responsibility. (Sun, 17 Feb 2013 21:03:03 GMT) Full text and rfc822 format available.

Notification sent to Adam Borowski <kilobyte@angband.pl>:
Bug acknowledged by developer. (Sun, 17 Feb 2013 21:03:03 GMT) Full text and rfc822 format available.

Message #84 received at 213361-close@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 213361-close@bugs.debian.org
Subject: Bug#213361: fixed in kbtin 1.0.14-1
Date: Sun, 17 Feb 2013 21:00:05 +0000
Source: kbtin
Source-Version: 1.0.14-1

We believe that the bug you reported is fixed in the latest version of
kbtin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 213361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Borowski <kilobyte@angband.pl> (supplier of updated kbtin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Dec 2012 18:10:01 +0100
Source: kbtin
Binary: kbtin
Architecture: source amd64
Version: 1.0.14-1
Distribution: unstable
Urgency: low
Maintainer: Adam Borowski <kilobyte@angband.pl>
Changed-By: Adam Borowski <kilobyte@angband.pl>
Description: 
 kbtin      - tintin++ style text-based MUD client
Closes: 213361
Changes: 
 kbtin (1.0.14-1) unstable; urgency=low
 .
   * New upstream release.
   * Convert to dh style debian/rules.
   * Move the main executable to /usr/bin, as some secondary uses have a valid
     reason to be run by root.
   * Initial Debian release (closes: #213361).
Checksums-Sha1: 
 56589dfc63ce6a10ce1eed3157d51a2093f65091 1139 kbtin_1.0.14-1.dsc
 b6e09ee7702fe52d48db53098c79fe243505cc0f 264872 kbtin_1.0.14.orig.tar.xz
 0b4c085b5a48dce44e87523841f5e1efe4c7f723 5508 kbtin_1.0.14-1.debian.tar.gz
 d537c52b4ee53df774d917fd38159ca98c6e0a0a 177036 kbtin_1.0.14-1_amd64.deb
Checksums-Sha256: 
 44175f8fd64743bd292b457f962431291db789216f6fb4113bc89bb0c3931f33 1139 kbtin_1.0.14-1.dsc
 7b495e04d894f5958336756055800cec148ae5a7336c0a2b26dd2084c37d1f5c 264872 kbtin_1.0.14.orig.tar.xz
 bffbcf252925d2fbd557b2ab019674a82f18ada16fd1f843954e38948972d4aa 5508 kbtin_1.0.14-1.debian.tar.gz
 98a50a9a9156a9893ff0d055dddd93700e2bfdaa8c0bffee104647f900617140 177036 kbtin_1.0.14-1_amd64.deb
Files: 
 5c1eb702d0487a195f208582ea9a7617 1139 text optional kbtin_1.0.14-1.dsc
 407ae55dea60bd43fb17879ed7d8e4ce 264872 text optional kbtin_1.0.14.orig.tar.xz
 77b89af59b03bcd65399b177f3fc848a 5508 text optional kbtin_1.0.14-1.debian.tar.gz
 a16b17b1ac1aded6a115ad9295312416 177036 text optional kbtin_1.0.14-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlDXUBoACgkQhQui3hP+/EBANACg26i4mEaw8fDShoW8ZoJsGXiF
ex4AoLHl7siqWaDu4PWcKe27Zlli2H6i
=qs8B
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Mar 2013 07:26:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:07:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.